<?xml version="1.0"?>

<!-- 
/*
** Module   : progress_templates.tpl
** Abstract : Progress AST templates
**
** Copyright (c) 2005-2017, Golden Code Development Corporation.
**
** _#_ _I_ __Date__ _T_ __JPRM__ ________________Description_________________
** 001 GES 20051013 NEW   @23067 Good working version which provides some
**                               templates for predicate processing.
** 002 GES 20051114 CHG   @23326 Widget list processing.
** 003 ECF 20070713 CHG   @34511 Added empty_temp_table template. Used to
**                               replace simple temp-table delete loops.
** 004 ECF 20070924 CHG   @35215 Added templates for a where clause stub and a
**                               general purpose builtin function.
*/
 -->
<!--
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You may find a copy of the GNU Affero GPL version 3 at the following
** location: https://www.gnu.org/licenses/agpl-3.0.en.html
** 
** Additional terms under GNU Affero GPL version 3 section 7:
** 
**   Under Section 7 of the GNU Affero GPL version 3, the following additional
**   terms apply to the works covered under the License.  These additional terms
**   are non-permissive additional terms allowed under Section 7 of the GNU
**   Affero GPL version 3 and may not be removed by you.
** 
**   0. Attribution Requirement.
** 
**     You must preserve all legal notices or author attributions in the covered
**     work or Appropriate Legal Notices displayed by works containing the covered
**     work.  You may not remove from the covered work any author or developer
**     credit already included within the covered work.
** 
**   1. No License To Use Trademarks.
** 
**     This license does not grant any license or rights to use the trademarks
**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
**     of Golden Code Development Corporation. You are not authorized to use the
**     name Golden Code, FWD, or the names of any author or contributor, for
**     publicity purposes without written authorization.
** 
**   2. No Misrepresentation of Affiliation.
** 
**     You may not represent yourself as Golden Code Development Corporation or FWD.
** 
**     You may not represent yourself for publicity purposes as associated with
**     Golden Code Development Corporation, FWD, or any author or contributor to
**     the covered work, without written authorization.
** 
**   3. No Misrepresentation of Source or Origin.
** 
**     You may not represent the covered work as solely your work.  All modified
**     versions of the covered work must be marked in a reasonable way to make it
**     clear that the modified work is not originating from Golden Code Development
**     Corporation or FWD.  All modified versions must contain the notices of
**     attribution required in this license.
-->

<templates>

   <!-- define the predicate replacement for the USING clause -->
   <ast-root name="using_replacement"
             terse="true" 
             ast_class="com.goldencode.p2j.uast.ProgressAst" >
      <ast id="0" type="${ttype}" text="${ttext}">
         <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
         <ast id="0" type="FUNC_POLY" text="input">
            <annotation datatype="java.lang.Long" key="oldtype" value="${kw_input}" />
            <annotation datatype="java.lang.Boolean" key="builtin" value="true" />
            <annotation datatype="java.lang.Boolean" key="returnsunknown" value="false" />
         </ast>
      </ast>
   </ast-root>
   
   <!-- parented widget list -->
   <ast-root name="widget_list"
             terse="true" 
             ast_class="com.goldencode.p2j.uast.ProgressAst" >
      <ast id="0" type="${ttype}" text="${ttext}">
         <ast id="0" type="CONTENT_ARRAY" text="">
            <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
         </ast>
      </ast>
   </ast-root>
   
   <!-- an equality operation -->
   <ast-root name="equality"
             terse="true" 
             ast_class="com.goldencode.p2j.uast.ProgressAst" >
      <ast id="0" type="EQUALS" text="=">
         <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
         <ast id="0" type="BOOL_TRUE" text="" />
      </ast>
   </ast-root>
   
   <!-- an empty temp-table statement -->
   <ast-root name="empty_temp_table"
             terse="true" 
             ast_class="com.goldencode.p2j.uast.ProgressAst">
      <ast id="0" text="" type="STATEMENT">
         <ast id="0" text="empty" type="EMPTY_TEMP_TABLE">
            <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
         </ast>
      </ast>
   </ast-root>
   
   <!-- the stub of a where clause -->
   <ast-root name="where_clause_stub"
             terse="true"
             ast_class="com.goldencode.p2j.uast.ProgressAst">
      <ast id="0" text="where" type="KW_WHERE">
         <ast id="0" text="expression" type="EXPRESSION">
            <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
         </ast>
      </ast>
   </ast-root>
   
   <!-- built-in function -->
   <ast-root name="builtin_func"
             terse="true"
             ast_class="com.goldencode.p2j.uast.ProgressAst">
      <ast id="0" text="${text}" type="${functype}">
         <annotation datatype="java.lang.Long" key="oldtype" value="${oldtype}"/>
         <annotation datatype="java.lang.Boolean" key="builtin" value="true"/>
         <annotation datatype="java.lang.Boolean" key="returnsunknown" value="${returnsunknown}"/>
         <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
      </ast>
   </ast-root>
   
</templates>