/*
** Module   : BrowseCellWidget.java
** Abstract : server side browse cell widget implementation
**
** Copyright (c) 2005-2017, Golden Code Development Corporation.
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description-----------------------------
** 001 NVS 20051026   @25216 Created initial version.
** 002 GES 20060114   @23906 Removed totally useless screen-value attr.
** 003 GES 20060803   @28364 Major cleanup and refactoring.  It is now
**                           an empty implementation used as a placeholder only.
** 004 SIY 20101122          Changes in imports caused by refactoring of CHUI package.
** 005 OM  20130527          Added int64 support.
** 006 CA  20130930          Added LegacyResource annotation, to determine resource type.
** 007 CA  20131115          Changes related to properly instantiate dynamic resources.
** 008 GES 20140627          Changed color attribute method names to match naming standards. 
** 009 CA  20140926          Added shared widget configuration support, to allow GUI/ChUI
**                           concrete implementation for the same widget ID.  Refactored the
**                           widget configuration classes: all fields were made public; these
**                           classes need to be as dumb as possible, all logic related to
**                           setting/getting a certain field should be at the widget or at the
**                           caller. Refs #2254
*/ 
/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You may find a copy of the GNU Affero GPL version 3 at the following
** location: https://www.gnu.org/licenses/agpl-3.0.en.html
** 
** Additional terms under GNU Affero GPL version 3 section 7:
** 
**   Under Section 7 of the GNU Affero GPL version 3, the following additional
**   terms apply to the works covered under the License.  These additional terms
**   are non-permissive additional terms allowed under Section 7 of the GNU
**   Affero GPL version 3 and may not be removed by you.
** 
**   0. Attribution Requirement.
** 
**     You must preserve all legal notices or author attributions in the covered
**     work or Appropriate Legal Notices displayed by works containing the covered
**     work.  You may not remove from the covered work any author or developer
**     credit already included within the covered work.
** 
**   1. No License To Use Trademarks.
** 
**     This license does not grant any license or rights to use the trademarks
**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
**     of Golden Code Development Corporation. You are not authorized to use the
**     name Golden Code, FWD, or the names of any author or contributor, for
**     publicity purposes without written authorization.
** 
**   2. No Misrepresentation of Affiliation.
** 
**     You may not represent yourself as Golden Code Development Corporation or FWD.
** 
**     You may not represent yourself for publicity purposes as associated with
**     Golden Code Development Corporation, FWD, or any author or contributor to
**     the covered work, without written authorization.
** 
**   3. No Misrepresentation of Source or Origin.
** 
**     You may not represent the covered work as solely your work.  All modified
**     versions of the covered work must be marked in a reasonable way to make it
**     clear that the modified work is not originating from Golden Code Development
**     Corporation or FWD.  All modified versions must contain the notices of
**     attribution required in this license.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * This class represents a single browse cell (the intersection of a row and
 * column).
 * <p>
 * This class is currently unused but is a placeholder for future use.
 * 
 * TODO: check if the browse cells can be dynamic; if so, change the c'tor to receive a boolean 
 *       flag.
 *       
 * TODO: the browse cell configuration needs to be created.
*/
@LegacyResource(resource = LegacyResource.BROWSE_CELL)
public class BrowseCellWidget
extends GenericWidget<WidgetConfig>
{
   /**
    * Default constructor.
    */
   public BrowseCellWidget()
   {
      super(false, null);
   }
   
   /**
    * Get the COLUMN readonly attribute.
    *
    * @return   The value of the COLUMN attribute.
    */
   public decimal getColumn()
   {
      return null;
   }

   /**
    * Get the DCOLOR writable attribute.
    *
    * @return   The current value of the DCOLOR attribute.
    */
   public integer getDColor()
   {
      return null;
   }

   /**
    * Setter for the DCOLOR writable attribute.
    *
    * @param    dcolor
    *           The new value for the DCOLOR.
    */
   public void setDColor(int64 dcolor)
   { 
   }

   /**
    * Setter for the DCOLOR writable attribute.
    *
    * @param    dcolor
    *           The new value for the DCOLOR.
    */
   public void setDColor(int dcolor)
   { 
   }

   /**
    * Get the HEIGHT-CHARS writable attribute.
    *
    * @return   The current value of HEIGHT-CHARS attribute.
    */
   public decimal getHeightChars()
   {
      return null;
   }

   /**
    * Set the HEIGHT-CHARS writable attribute.
    *
    * @param    hc
    *           The new value for HEIGHT-CHARS.
    */
   public void setHeightChars(decimal hc)
   {
   }

   /**
    * Get the PFCOLOR writable attribute.
    *
    * @return   The current value of the PFCOLOR attribute.
    */
   public integer getPfColor()
   {
      return null;
   }

   /**
    * Set the PFCOLOR writable attribute.
    *
    * @param    pfcolor
    *           The new value for PFCOLOR.
    */
   public void setPfColor(int64 pfcolor)
   {
   }

   /**
    * Get the ROW readonly attribute.
    *
    * @return   The value of the ROW attribute.
    */
   public decimal getRow()
   {
      return null;
   }

   /**
    * Get the X readonly attribute.
    *
    * @return   The value of the X attribute.
    */
   public integer getX()
   {
      return null;
   }

   /**
    * Get the Y readonly attribute.
    *
    * @return   The value of the Y attribute.
    */
   public integer getY()
   {
      return null;
   }
}